Bug 130614 - At boot time, mknod acts on read-only disk (unsuccessfully)
At boot time, mknod acts on read-only disk (unsuccessfully)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
David Lawrence
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-08-22 14:47 EDT by Bob Gustafson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-24 14:24:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Gustafson 2004-08-22 14:47:55 EDT
Description of problem:

  During the read-only phase of the boot sequence, something tries to
do a mknod and cannot because the disk is read-only. There are console
messages written, but not to disk - because of the read-only-ness of
the disk.

  The boot continues, and the system comes up, but symptoms are:

No sound

No network connection. The network service can be started by
Gnome->System settings->Network-><select>eth0-><activate>

Looks like something was moved to a spot earlier in the boot sequence,
forgetting about the read-only status of the boot disk at that time.

Version-Release number of selected component (if applicable):

[root@hoho2 user1]# cat /proc/version
Linux version 2.6.8-1.526smp (bhcompile@tweety.build.redhat.com) (gcc
version 3.4.1 20040815 (Red Hat 3.4.1-8)) #1 SMP Sat Aug 21 04:42:17
EDT 2004

This set of symptoms was also evident in the 525 kernel boot of a few
hours ago. (I was hoping that it would be fixed in the 526 kernel)

How reproducible:

  Seems to be permanent in the 526 and was in the 525 kernel

Steps to Reproduce:
1. Boot
2. Observe console messages during early boot
3. Note that after boot, sound is not working and network is inactive
  
Actual results:

  As above

Expected results:

  At the least - sound and network up and working after boot.

Additional info:
Comment 1 Jeremy Katz 2004-08-23 17:19:58 EDT
What version of the mkinitrd and udev packages do you have installed?
Comment 2 Sammy 2004-08-23 21:06:53 EDT
I can confirn this with latest udev AND with mkinitrd-4.0.6 
Comment 3 Bob Gustafson 2004-08-23 21:48:32 EDT
[root@hoho2 ~]# rpm -q mkinitrd
mkinitrd-4.1.1-1
[root@hoho2 ~]# rpm -q udev
udev-030-3
[root@hoho2 ~]#
Comment 4 Bob Gustafson 2004-08-24 12:18:17 EDT
An hour or do ago, I did an update/install of new stuff, and the
process had trouble in the middle because an update blitzed the
network connection - thus yum could not get any updated files.

This is a hazard of the update process. Getting a new kernel seems to
be pretty smooth, but other component updates are not so sophisticated.

Currently am completing the update - hopefully there will be more fixed.

As it is at the moment, the mknod failures are still there and the no
sound and no network on boot completion conditions still exist.
Comment 5 Bob Gustafson 2004-08-24 13:38:36 EDT
Some changes - did not notice mknod problem, but it may have slipped
off screen when I was not looking.

I did notice that initscripts or something like that was updated
during the last update (about 45 minutes ago).

[user1@hoho2 ~]$ date
Tue Aug 24 12:38:17 CDT 2004
[user1@hoho2 ~]$ rpm -q mkinitrd
mkinitrd-4.1.1-1
[user1@hoho2 ~]$ rpm -q udev
udev-030-7
[user1@hoho2 ~]$

Still no sound and no network on boot completion.
Comment 6 Bob Gustafson 2004-08-24 13:48:35 EDT
OK, the mknod problem is fixed.

The boot sequence delays the udev until after the disk is read/write.

Unfortunately, my Sound is still dead and the Network is dead after
boot. I need to activate eth0 to make network come alive.

This is curious, because ntpd comes up and the boot messages say that
it has contacted clock.redhat... and has updated the time. How could
it do this if the eth0 was inactive? Unless something inactivates eth0
near the end of the boot sequence.

Another funny thing. At the end of the boot sequence. I see:

RPC: sendmsg returned error 101
nfs: RPC call returned error 101
RPC: sendmsg returned error 101
nfs: RPC call returned error 101
RPC: sendmsg returned error 101
nfs: RPC call returned error 101
 
This was there when the mknod was misbehaving, but is still there now.
Comment 7 Jeremy Katz 2004-08-24 14:24:33 EDT
Sound and network modules not getting autoloaded is being tracked in a
different (filed against udev) bug.  Closing the making device nodes
on a read-only disk bit as fixed.

Note You need to log in before you can comment on or make changes to this bug.